Page MenuHomePhabricator

Create project for Wiki Techstorm 2019
Closed, ResolvedPublic

Description

November 2019 Wikimedia NL will organise the Wiki Techstorm 2019 (a special kind of hackathon) for wikimedians, developers and GLAMs. Can somebody create the WTS2019 project on Phabricator for us?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2019, 10:57 PM
Aklapper renamed this task from Create project WTS2019 to Create project for Wiki Techstorm 2019.EditedMay 10 2019, 10:56 AM
Aklapper closed this task as Resolved.
Aklapper claimed this task.

Hi @DanielleJWiki and thanks for creating this task!

WTS2019 would be hard to understand for outsiders.

As pointed out there already is/was a project Wikistorm-2019 from last year.
I have now un-archived Wikistorm-2019 so you could (re)use that project.
I had archived Wikistorm-2019 because the event was in the past and I did not know there will be another one, sorry. :)
Someone who is involved in Wikistorm-2019 should go through the existing open tasks and close these tasks if they are not valid anymore (via the "Add Action... > Change Status" dropdown above the comment field) when these open tasks have no other project connected to that task.
See https://phabricator.wikimedia.org/maniphest/?project=PHID-PROJ-ptfn2pzdv6fbzac4vkc3&statuses=open()&group=none&order=newest#R

I hope there are plans to update https://www.mediawiki.org/wiki/Wiki_Techstorm with the new dates?

Aklapper reopened this task as Open.EditedMay 23 2019, 12:17 PM
Aklapper added subscribers: Ecritures, Multichill.

Reopening as there has been some discussion in T206241.

@Ecritures: It's best practice not to remove a tag from resolved tasks, as that makes it hard to get a list of tasks that were being worked on at that event. (Also note that you can change the project workboard view to only show open tasks and not closed tasks, in the upper right corner.)
So we may want to revert some changes? I could do that via a mass-edit.

To everybody:
If you don't want to re-use the existing #Wikistorm project for Wikistorm 2019, we could rename #Wikistorm to #Wikistorm-2018 and create a new project for #Wikistorm-2019 or such, and archive #Wikistorm (the 2018 edition) again.
However, that would highly welcome someone to go through existing open tasks under https://phabricator.wikimedia.org/tag/wikistorm/ and for those tags which only have the #Wikistorm project tag and no other project tags assigned, they should either get closed (resolved? declined?) or receive an additional project tag of an active project. We don't want abandoned open tasks from a past event which nobody will look at again...

I myself would be happiest to have for example a 'Wiki Techstorm - 2019' board and keep the old board (and rename that to 'Wiki Techstorm 2018'). In that case it would be nice if with a mass edit the deletion of labels of Wikistorm could be reversed (and changed to Wiki Techstorm - 2018)

To summarize my understanding:

I hope this makes sense.

@Aklapper That is totally correct indeed :) I hope you will be able to do this for us. Then I will start putting new tasks on the Wiki-Techstorm-2019 board. Thanks for all your help.

Aklapper closed this task as Resolved.Jun 5 2019, 11:33 AM

Thanks!

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Feel free to bring up any questions you might have about Phabricator or about best ways to manage projects in Phabricator.